<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Sun Jan 20 22:40:31 CET 2013 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
CacheConfig.Builder (HttpComponents Client 4.3-alpha1 API)
</TITLE>

<META NAME="date" CONTENT="2013-01-20">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="CacheConfig.Builder (HttpComponents Client 4.3-alpha1 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/CacheConfig.Builder.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.html" title="class in org.apache.http.impl.client.cache"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../org/apache/http/impl/client/cache/CachingExec.html" title="class in org.apache.http.impl.client.cache"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?org/apache/http/impl/client/cache/CacheConfig.Builder.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="CacheConfig.Builder.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.http.impl.client.cache</FONT>
<BR>
Class CacheConfig.Builder</H2>
<PRE>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.http.impl.client.cache.CacheConfig.Builder</B>
</PRE>
<DL>
<DT><B>Enclosing class:</B><DD><A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.html" title="class in org.apache.http.impl.client.cache">CacheConfig</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public static class <B>CacheConfig.Builder</B><DT>extends <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></DL>
</PRE>

<P>
<HR>

<P>

<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.html" title="class in org.apache.http.impl.client.cache">CacheConfig</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html#build()">build</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html" title="class in org.apache.http.impl.client.cache">CacheConfig.Builder</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html#setAsynchronousWorkerIdleLifetimeSecs(int)">setAsynchronousWorkerIdleLifetimeSecs</A></B>(int&nbsp;asynchronousWorkerIdleLifetimeSecs)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the current maximum idle lifetime in seconds for a
 background revalidation worker thread.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html" title="class in org.apache.http.impl.client.cache">CacheConfig.Builder</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html#setAsynchronousWorkersCore(int)">setAsynchronousWorkersCore</A></B>(int&nbsp;asynchronousWorkersCore)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the minimum number of threads to keep alive for background
 revalidations due to the <code>stale-while-revalidate</code> directive.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html" title="class in org.apache.http.impl.client.cache">CacheConfig.Builder</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html#setAsynchronousWorkersMax(int)">setAsynchronousWorkersMax</A></B>(int&nbsp;asynchronousWorkersMax)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the maximum number of threads to allow for background
 revalidations due to the <code>stale-while-revalidate</code> directive.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html" title="class in org.apache.http.impl.client.cache">CacheConfig.Builder</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html#setHeuristicCachingEnabled(boolean)">setHeuristicCachingEnabled</A></B>(boolean&nbsp;heuristicCachingEnabled)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Enables or disables heuristic caching.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html" title="class in org.apache.http.impl.client.cache">CacheConfig.Builder</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html#setHeuristicCoefficient(float)">setHeuristicCoefficient</A></B>(float&nbsp;heuristicCoefficient)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets coefficient to be used in heuristic freshness caching.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html" title="class in org.apache.http.impl.client.cache">CacheConfig.Builder</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html#setHeuristicDefaultLifetime(long)">setHeuristicDefaultLifetime</A></B>(long&nbsp;heuristicDefaultLifetime)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets default lifetime in seconds to be used if heuristic freshness
 calculation is not possible.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html" title="class in org.apache.http.impl.client.cache">CacheConfig.Builder</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html#setMaxCacheEntries(int)">setMaxCacheEntries</A></B>(int&nbsp;maxCacheEntries)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the maximum number of cache entries the cache will retain.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html" title="class in org.apache.http.impl.client.cache">CacheConfig.Builder</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html#setMaxObjectSize(long)">setMaxObjectSize</A></B>(long&nbsp;maxObjectSize)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Specifies the maximum response body size that will be eligible for caching.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html" title="class in org.apache.http.impl.client.cache">CacheConfig.Builder</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html#setMaxUpdateRetries(int)">setMaxUpdateRetries</A></B>(int&nbsp;maxUpdateRetries)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the number of times to retry a cache update on failure</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html" title="class in org.apache.http.impl.client.cache">CacheConfig.Builder</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html#setNeverCacheHTTP10ResponsesWithQueryString(boolean)">setNeverCacheHTTP10ResponsesWithQueryString</A></B>(boolean&nbsp;neverCacheHTTP10ResponsesWithQuery)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets whether the cache should never cache HTTP 1.0 responses with a query string or not.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html" title="class in org.apache.http.impl.client.cache">CacheConfig.Builder</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html#setRevalidationQueueSize(int)">setRevalidationQueueSize</A></B>(int&nbsp;revalidationQueueSize)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the current maximum queue size for background revalidations.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html" title="class in org.apache.http.impl.client.cache">CacheConfig.Builder</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html#setSharedCache(boolean)">setSharedCache</A></B>(boolean&nbsp;isSharedCache)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets whether the cache should behave as a shared cache or not.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="setMaxObjectSize(long)"><!-- --></A><H3>
setMaxObjectSize</H3>
<PRE>
public <A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html" title="class in org.apache.http.impl.client.cache">CacheConfig.Builder</A> <B>setMaxObjectSize</B>(long&nbsp;maxObjectSize)</PRE>
<DL>
<DD>Specifies the maximum response body size that will be eligible for caching.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>maxObjectSize</CODE> - size in bytes</DL>
</DD>
</DL>
<HR>

<A NAME="setMaxCacheEntries(int)"><!-- --></A><H3>
setMaxCacheEntries</H3>
<PRE>
public <A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html" title="class in org.apache.http.impl.client.cache">CacheConfig.Builder</A> <B>setMaxCacheEntries</B>(int&nbsp;maxCacheEntries)</PRE>
<DL>
<DD>Sets the maximum number of cache entries the cache will retain.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setMaxUpdateRetries(int)"><!-- --></A><H3>
setMaxUpdateRetries</H3>
<PRE>
public <A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html" title="class in org.apache.http.impl.client.cache">CacheConfig.Builder</A> <B>setMaxUpdateRetries</B>(int&nbsp;maxUpdateRetries)</PRE>
<DL>
<DD>Sets the number of times to retry a cache update on failure
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setHeuristicCachingEnabled(boolean)"><!-- --></A><H3>
setHeuristicCachingEnabled</H3>
<PRE>
public <A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html" title="class in org.apache.http.impl.client.cache">CacheConfig.Builder</A> <B>setHeuristicCachingEnabled</B>(boolean&nbsp;heuristicCachingEnabled)</PRE>
<DL>
<DD>Enables or disables heuristic caching.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>heuristicCachingEnabled</CODE> - should be <code>true</code> to
   permit heuristic caching, <code>false</code> to enable it.</DL>
</DD>
</DL>
<HR>

<A NAME="setHeuristicCoefficient(float)"><!-- --></A><H3>
setHeuristicCoefficient</H3>
<PRE>
public <A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html" title="class in org.apache.http.impl.client.cache">CacheConfig.Builder</A> <B>setHeuristicCoefficient</B>(float&nbsp;heuristicCoefficient)</PRE>
<DL>
<DD>Sets coefficient to be used in heuristic freshness caching. This is
 interpreted as the fraction of the time between the <code>Last-Modified</code>
 and <code>Date</code> headers of a cached response during which the cached
 response will be considered heuristically fresh.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>heuristicCoefficient</CODE> - should be between <code>0.0</code> and
   <code>1.0</code>.</DL>
</DD>
</DL>
<HR>

<A NAME="setHeuristicDefaultLifetime(long)"><!-- --></A><H3>
setHeuristicDefaultLifetime</H3>
<PRE>
public <A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html" title="class in org.apache.http.impl.client.cache">CacheConfig.Builder</A> <B>setHeuristicDefaultLifetime</B>(long&nbsp;heuristicDefaultLifetime)</PRE>
<DL>
<DD>Sets default lifetime in seconds to be used if heuristic freshness
 calculation is not possible. Explicit cache control directives on
 either the request or origin response will override this, as will
 the heuristic <code>Last-Modified</code> freshness calculation if it is
 available.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>heuristicDefaultLifetime</CODE> - is the number of seconds to
   consider a cache-eligible response fresh in the absence of other
   information. Set this to <code>0</code> to disable this style of
   heuristic caching.</DL>
</DD>
</DL>
<HR>

<A NAME="setSharedCache(boolean)"><!-- --></A><H3>
setSharedCache</H3>
<PRE>
public <A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html" title="class in org.apache.http.impl.client.cache">CacheConfig.Builder</A> <B>setSharedCache</B>(boolean&nbsp;isSharedCache)</PRE>
<DL>
<DD>Sets whether the cache should behave as a shared cache or not.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>isSharedCache</CODE> - true to behave as a shared cache, false to
 behave as a non-shared (private) cache. To have the cache
 behave like a browser cache, you want to set this to <code>false</code>.</DL>
</DD>
</DL>
<HR>

<A NAME="setAsynchronousWorkersMax(int)"><!-- --></A><H3>
setAsynchronousWorkersMax</H3>
<PRE>
public <A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html" title="class in org.apache.http.impl.client.cache">CacheConfig.Builder</A> <B>setAsynchronousWorkersMax</B>(int&nbsp;asynchronousWorkersMax)</PRE>
<DL>
<DD>Sets the maximum number of threads to allow for background
 revalidations due to the <code>stale-while-revalidate</code> directive.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>asynchronousWorkersMax</CODE> - number of threads; a value of 0 disables background
 revalidations.</DL>
</DD>
</DL>
<HR>

<A NAME="setAsynchronousWorkersCore(int)"><!-- --></A><H3>
setAsynchronousWorkersCore</H3>
<PRE>
public <A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html" title="class in org.apache.http.impl.client.cache">CacheConfig.Builder</A> <B>setAsynchronousWorkersCore</B>(int&nbsp;asynchronousWorkersCore)</PRE>
<DL>
<DD>Sets the minimum number of threads to keep alive for background
 revalidations due to the <code>stale-while-revalidate</code> directive.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>asynchronousWorkersCore</CODE> - should be greater than zero and less than or equal
   to <code>getAsynchronousWorkersMax()</code></DL>
</DD>
</DL>
<HR>

<A NAME="setAsynchronousWorkerIdleLifetimeSecs(int)"><!-- --></A><H3>
setAsynchronousWorkerIdleLifetimeSecs</H3>
<PRE>
public <A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html" title="class in org.apache.http.impl.client.cache">CacheConfig.Builder</A> <B>setAsynchronousWorkerIdleLifetimeSecs</B>(int&nbsp;asynchronousWorkerIdleLifetimeSecs)</PRE>
<DL>
<DD>Sets the current maximum idle lifetime in seconds for a
 background revalidation worker thread. If a worker thread is idle
 for this long, and there are more than the core number of worker
 threads alive, the worker will be reclaimed.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>asynchronousWorkerIdleLifetimeSecs</CODE> - idle lifetime in seconds</DL>
</DD>
</DL>
<HR>

<A NAME="setRevalidationQueueSize(int)"><!-- --></A><H3>
setRevalidationQueueSize</H3>
<PRE>
public <A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html" title="class in org.apache.http.impl.client.cache">CacheConfig.Builder</A> <B>setRevalidationQueueSize</B>(int&nbsp;revalidationQueueSize)</PRE>
<DL>
<DD>Sets the current maximum queue size for background revalidations.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setNeverCacheHTTP10ResponsesWithQueryString(boolean)"><!-- --></A><H3>
setNeverCacheHTTP10ResponsesWithQueryString</H3>
<PRE>
public <A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.Builder.html" title="class in org.apache.http.impl.client.cache">CacheConfig.Builder</A> <B>setNeverCacheHTTP10ResponsesWithQueryString</B>(boolean&nbsp;neverCacheHTTP10ResponsesWithQuery)</PRE>
<DL>
<DD>Sets whether the cache should never cache HTTP 1.0 responses with a query string or not.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>neverCacheHTTP10ResponsesWithQuery</CODE> - true to never cache responses with a query
 string, false to cache if explicit cache headers are found.  Set this to <code>true</code>
 to better emulate IE, which also never caches responses, regardless of what caching
 headers may be present.</DL>
</DD>
</DL>
<HR>

<A NAME="build()"><!-- --></A><H3>
build</H3>
<PRE>
public <A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.html" title="class in org.apache.http.impl.client.cache">CacheConfig</A> <B>build</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/CacheConfig.Builder.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../org/apache/http/impl/client/cache/CacheConfig.html" title="class in org.apache.http.impl.client.cache"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../org/apache/http/impl/client/cache/CachingExec.html" title="class in org.apache.http.impl.client.cache"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?org/apache/http/impl/client/cache/CacheConfig.Builder.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="CacheConfig.Builder.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 1999-2013 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
